# Uses of Enum Class
javafx.scene.effect.BlurType

Packages that use BlurType
Package
Description
javafx.scene.effect
Provides the set of classes for attaching graphical filter effects to JavaFX Scene Graph Nodes.

## Uses of BlurType in javafx.scene.effect

Methods in javafx.scene.effect that return BlurType
Modifier and Type
Method
Description
`final BlurType`
DropShadow.`getBlurType()`
Gets the value of the `blurType` property.
`final BlurType`
InnerShadow.`getBlurType()`
Gets the value of the `blurType` property.
`final BlurType`
Shadow.`getBlurType()`
Gets the value of the `blurType` property.
`static BlurType`
BlurType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BlurType[]`
BlurType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.effect that return types with arguments of type BlurType
Modifier and Type
Method
Description
`final ObjectProperty<BlurType>`
DropShadow.`blurTypeProperty()`
The algorithm used to blur the shadow.
`final ObjectProperty<BlurType>`
InnerShadow.`blurTypeProperty()`
The algorithm used to blur the shadow.
`final ObjectProperty<BlurType>`
Shadow.`blurTypeProperty()`
The algorithm used to blur the shadow.
Methods in javafx.scene.effect with parameters of type BlurType
Modifier and Type
Method
Description
`final void`
DropShadow.`setBlurType(BlurType value)`
Sets the value of the `blurType` property.
`final void`
InnerShadow.`setBlurType(BlurType value)`
Sets the value of the `blurType` property.
`final void`
Shadow.`setBlurType(BlurType value)`
Sets the value of the `blurType` property.
Constructors in javafx.scene.effect with parameters of type BlurType
Modifier
Constructor
Description
``
`DropShadow(BlurType blurType, Color color, double radius, double spread, double offsetX, double offsetY)`
Creates a new instance of DropShadow with the specified blurType, color, radius, spread, offsetX and offsetY.
``
`InnerShadow(BlurType blurType, Color color, double radius, double choke, double offsetX, double offsetY)`
Creates a new instance of InnerShadow with the specified blurType, color, radius, spread, offsetX and offsetY.
``
`Shadow(BlurType blurType, Color color, double radius)`
Creates a new instance of Shadow with the specified blurType, color, radius.